> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a secret

> Secret updated (the value is never returned)

### Path parameters

<ParamField path="name" type="string" required>
  Secret name
</ParamField>

### Request body

`UpdateSecretRequest`

<ParamField body="value" type="string" />

<ParamField body="scope" type="string" />

<ParamField body="allowed_sandbox_patterns" type="string[]" />

<ParamField body="expires_in_days" type="integer" />

### Response

`object`

<ResponseField name="id" type="string (uuid)" required />

<ResponseField name="name" type="string" required />

<ResponseField name="scope" type="string" required />

<ResponseField name="allowed_sandbox_patterns" type="string[]" required />

<ResponseField name="expires_at" type="string (date-time)" required />

<ResponseField name="updated_at" type="string (date-time)" required />

### Status codes

| Code  | Meaning                                      |
| ----- | -------------------------------------------- |
| `200` | Secret updated (the value is never returned) |
| `404` | Secret not found                             |

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.sandbox.stateset.app/api/v1/secrets/{name}' \
    --header "Authorization: Bearer $STATESET_SANDBOX_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "value": "49.00",
    "scope": "sandbox",
    "allowed_sandbox_patterns": [
      "string"
    ],
    "expires_in_days": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "Two-Person Tent",
    "scope": "string",
    "allowed_sandbox_patterns": [
      "string"
    ],
    "expires_at": "2026-08-31T14:22:05Z",
    "updated_at": "2026-08-31T14:22:05Z"
  }
  ```
</ResponseExample>
